### Function

# Dex tls_interaction_ask_password

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_tls_interaction_ask_password (
      GTlsInteraction* interaction,
      GTlsPassword* password
    )

#### Description [src]

Wraps `g_tls_interaction_ask_password_async()`.

Available since: 1.2

#### Parameters

`interaction`

  Type: `GTlsInteraction`

  A `GTlsInteraction`.

  The data is owned by the caller of the function.

`password`

  Type: `GTlsPassword`

  A `GTlsPassword`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GTlsInteractionResult` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.